Subject: [quicwg/base-drafts] qcram: section reference format (#1112)

From: Julian Reschke <[email-masked]>
Date: Thu, 15 Feb 2018 10:25:43 +0000 (UTC)

You can view, comment on, or merge this pull request online at:

  https://github.com/quicwg/base-drafts/pull/1112

-- Commit Summary --

  * qcram: section reference format

-- File Changes --

    M draft-ietf-quic-qcram.md (4)

-- Patch Links --

https://github.com/quicwg/base-drafts/pull/1112.patch
https://github.com/quicwg/base-drafts/pull/1112.diff

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/1112

---

From: afrind <[email-masked]>
Date: Tue, 20 Feb 2018 20:17:35 +0000 (UTC)

afrind commented on this pull request.

> @@ -362,7 +362,7 @@ the number of concurrently blocked streams.
 
 ### Fixed overhead.
 
-HPACK defines overhead as 32 bytes ({{!RFC7541}} Section 4.1).  As described
+HPACK defines overhead as 32 bytes ({{!RFC7541}}, Section 4.1).  As described

Is there a consistent format we should use for references to RFC7541?  Or it's ok that one is 'see Section X.Y of' and the other is ', Section X.Y'?

> @@ -103,7 +103,7 @@ PUSH_PROMISE frames (see {{hq-frames}}).
 If a header block contains no vulnerable header fields, BLOCKING MUST be 0.
 This implies that the header fields are represented either as references
 to dynamic table entries which are known to have been received, or as
-Literal header fields (see {{RFC7541}} Section 6.2).
+Literal header fields (see Section 6.2 of {{RFC7541}} ).

Is there an extraneous space before ) ?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/1112#pullrequestreview-97970132

---

From: Martin Thomson <[email-masked]>
Date: Tue, 20 Feb 2018 21:27:24 +0000 (UTC)

martinthomson commented on this pull request.

 ### Fixed overhead.

I have been using "Section X.Y of {{CITATION}}" always.  The other acceptable form is "{{CITATION}}, Section X.Y", but there is value in consistency.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/1112#discussion_r169464874

---

From: Julian Reschke <[email-masked]>
Date: Tue, 20 Feb 2018 21:41:17 +0000 (UTC)

reschke commented on this pull request.

yes

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/1112#discussion_r169468836

---

From: Julian Reschke <[email-masked]>
Date: Tue, 20 Feb 2018 13:42:56 -0800

### Fixed overhead.

...depends on context. The first form works a bit better in prose, the second one in parentheses. IMHO.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/1112#discussion_r169469298

---

From: afrind <[email-masked]>
Date: Wed, 21 Feb 2018 09:56:06 -0800

Merged #1112.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/1112#event-1485258219